#!/usr/bin/python
# Lifesaver by Chris Jones <cmsj@tenshu.net>
# GPL v2 only
"""console.py - Simple test client that prints out posts"""

import glib
import gtk
from lifesaver.twitterjson import TwitterJson
from lifesaver.identica import Identica
from lifesaver.friendfeed import FriendFeed
from lifesaver.lifesaver import Lifesaver

LIFESAVER = Lifesaver()
LIFESAVER.add_source(TwitterJson())
LIFESAVER.add_source(Identica())
LIFESAVER.add_source(FriendFeed())

glib.timeout_add_seconds(60, LIFESAVER.update_sources)
glib.timeout_add_seconds(15, LIFESAVER.new_item)
glib.timeout_add_seconds(1, LIFESAVER.initial_update)

gtk.main()
