#!/usr/bin/python
# Lifesaver by Chris Jones <cmsj@tenshu.net>
# GPL v2 only
"""emptysource.py - Empty source class"""

from datetime import datetime
from lifesaver import Lifesaver

class EmptySource(object):
    """Class that returns static data"""
    name = ''
    lifesaver = None

    urlstub = ''
    resultname = ''
    most_recent_id = None
    posts = None
    recent = None

    def __init__(self):
        """Class initialiser"""
        self.lifesaver = Lifesaver()

    def fetch_data(self):
        """This is a no-op"""
        pass

    def has_items(self):
        """We always have data"""
        return(True)

    def get_item(self):
        """Return a single interesting item"""
        item = {}
        item['source'] = self.name
        item['id'] = 1
        item['created_at'] = datetime.now().strftime('%Y-%m-%d %H:%M:%S')
        item['keyword'] = ''
        item['from_user'] = 'Lifesaver'
        item['text'] = 'Searching for posts...'

        return(item)

