#!/usr/bin/python
# Lifesaver by Chris Jones <cmsj@tenshu.net>
# GPL v2 only
"""util.py - misc utility functions"""

import sys
import re
from htmlentitydefs import name2codepoint

# set this to true to enable debugging output
DEBUG = False

def dbg(name, log = ""):
    """Print a message if debugging is enabled"""
    if DEBUG:
        print >> sys.stderr, '%s::%s' % (name, log)

def err(name, log = ""):
    """Print an error message"""
    print >> sys.stderr, '%s::%s' % (name, log)

# Stolen from 
# http://evaisse.com/post/52749338/python-html-entities-decode-cgi-unescape
def htmldecode(text):
    """Decode HTML entities in the given text."""
    if type(text) is unicode:
        uchr = unichr
    else:
        uchr = lambda value: value > 255 and unichr(value) or chr(value)
    def entitydecode(match, uchr=uchr):
        """Convert an HTML entity into its original character"""
        entity = match.group(1)
        if entity.startswith('#x'):
            return uchr(int(entity[2:], 16))
        elif entity.startswith('#'):
            return uchr(int(entity[1:]))
        elif entity in name2codepoint:
            return uchr(name2codepoint[entity])
        else:
            return match.group(0)
    charrefpat = re.compile(r'&(#(\d+|x[\da-fA-F]+)|[\w.:-]+);?')
    return charrefpat.sub(entitydecode, text)

