#!/usr/bin/python
# Lifesaver by Chris Jones <cmsj@tenshu.net>
# GPL v2 only
"""lifesaver.py - Show recent posts from Twitter/Identi.ca"""

import glib
import gtk
from lifesaver.twitterjson import TwitterJson
from lifesaver.identica import Identica
from lifesaver.friendfeed import FriendFeed
from lifesaver.lifesaver import Lifesaver
from lifesaver.screensaver import Screensaver
from lifesaver.goorender import GooRender

# We need to initialise this first and load the config
#  so it's populated correctly. Doing another class
#  first risks the borg pattern clobbering the config
LIFESAVER = Lifesaver()
LIFESAVER.load_config()

WINDOW = Screensaver()
RENDERER = GooRender()
WINDOW.add(RENDERER)

LIFESAVER.add_source(TwitterJson())
LIFESAVER.add_source(Identica())
LIFESAVER.add_source(FriendFeed())
LIFESAVER.set_target(RENDERER)

WINDOW.show_all()

WINDOW.connect("destroy", gtk.main_quit)

glib.timeout_add_seconds(60, LIFESAVER.update_sources)
glib.timeout_add_seconds(15, LIFESAVER.normal_item)
glib.timeout_add_seconds(1, RENDERER.setup, LIFESAVER.initial_update)
glib.timeout_add_seconds(2, LIFESAVER.initial_item)

gtk.main()
